Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CORBA_ExceptionList_var Class Reference

`#include <ExceptionList.h>`

Collaboration diagram for CORBA_ExceptionList_var:

[legend]
List of all members.

## Public Methods
| CORBA_ExceptionList_var (void)
| CORBA_ExceptionList_var (CORBA_ExceptionList_ptr)
| CORBA_ExceptionList_var (const CORBA_ExceptionList_var &)
| ~CORBA_ExceptionList_var (void)
CORBA_ExceptionList_var& | operator= (CORBA_ExceptionList_ptr)
CORBA_ExceptionList_var& | operator= (const CORBA_ExceptionList_var &)
CORBA_ExceptionList_ptr | operator-> (void) const
| operator const CORBA_ExceptionList_ptr & () const
| operator CORBA_ExceptionList_ptr & ()
CORBA_ExceptionList_ptr | in (void) const
CORBA_ExceptionList_ptr& | inout (void)
CORBA_ExceptionList_ptr& | out (void)
CORBA_ExceptionList_ptr | _retn (void)
CORBA_ExceptionList_ptr | ptr (void) const
## Private Attributes
CORBA_ExceptionList_ptr | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA_ExceptionList_var::CORBA_ExceptionList_var ( | void )

ACE_INLINE CORBA_ExceptionList_var::CORBA_ExceptionList_var ( | CORBA_ExceptionList_ptr p )

ACE_INLINE CORBA_ExceptionList_var::CORBA_ExceptionList_var ( | const CORBA_ExceptionList_var & p )

ACE_INLINE CORBA_ExceptionList_var::~CORBA_ExceptionList_var ( | void )

## Member Function Documentation

ACE_INLINE CORBA_ExceptionList_ptr CORBA_ExceptionList_var::_retn ( | void )

ACE_INLINE CORBA_ExceptionList_ptr CORBA_ExceptionList_var::in ( | void ) const

ACE_INLINE CORBA_ExceptionList_ptr & CORBA_ExceptionList_var::inout ( | void )

ACE_INLINE CORBA_ExceptionList_var::operator CORBA_ExceptionList_ptr & ( | )

ACE_INLINE CORBA_ExceptionList_var::operator const CORBA_ExceptionList_ptr & ( | ) const

ACE_INLINE CORBA_ExceptionList_ptr CORBA_ExceptionList_var::operator-> ( | void ) const

ACE_INLINE CORBA_ExceptionList_var & CORBA_ExceptionList_var::operator= ( | const CORBA_ExceptionList_var & p )

ACE_INLINE CORBA_ExceptionList_var & CORBA_ExceptionList_var::operator= ( | CORBA_ExceptionList_ptr p )

ACE_INLINE CORBA_ExceptionList_ptr & CORBA_ExceptionList_var::out ( | void )

ACE_INLINE CORBA_ExceptionList_ptr CORBA_ExceptionList_var::ptr ( | void ) const

## Member Data Documentation

CORBA_ExceptionList_ptr CORBA_ExceptionList_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- ExceptionList.h
- ExceptionList.inl